# ScriptFileInfo Class Reference

Inheritance diagram for ScriptFileInfo:

## Public Member Functions
const char * | GetAuthor () const
| Get the Author of the script.
const char * | GetName () const
| Get the Name of the script.
const char * | GetShortName () const
| Get the 4 character long short name of the script.
const char * | GetDescription () const
| Get the description of the script.
int | GetVersion () const
| Get the version of the script.
const char * | GetDate () const
| Get the last-modified date of the script.
const char * | GetInstanceName () const
| Get the name of the instance of the script to create.
const char * | GetURL () const
| Get the website for this script.
const char * | GetMainScript () const
| Get the filename of the main.nut script.
bool | CheckMethod (const char *name) const
| Check if a given method exists.
## Static Public Member Functions
static SQInteger | Constructor (HSQUIRRELVM vm, ScriptFileInfo *info)
| Process the creation of a FileInfo object.
## Protected Attributes
class Squirrel * | engine
HSQOBJECT * | SQ_instance
## Private Attributes
char * | main_script
const char * | author
const char * | name
const char * | short_name
const char * | description
const char * | date
const char * | instance_name
int | version
const char * | url

## Detailed Description

Definition at line 18 of file script_info.hpp.

The documentation for this class was generated from the following files:

- src/script/script_info.hpp
- src/script/script_info.cpp